Forecasting API
22 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.
| Method | Path | Description |
|---|---|---|
GET |
/api/forecasts/hierarchy |
Get Hierarchy |
GET |
/api/forecasts/periods |
List Periods |
GET |
/api/forecasts/{period_id}/all-deals |
Get All Deals |
POST |
/api/forecasts/{period_id}/calls |
Submit Call Accepts a JSON body. |
GET |
/api/forecasts/{period_id}/calls/{user_id}/history |
Get Call History Endpoint |
PATCH |
/api/forecasts/{period_id}/deals/{opp_id}/category |
Update Deal Category Accepts a JSON body. |
GET |
/api/forecasts/{period_id}/hierarchy-rollup |
Get Hierarchy Rollup |
GET |
/api/forecasts/{period_id}/my-deals |
Get My Deals |
GET |
/api/forecasts/{period_id}/my-suggestion |
Get My Suggestion |
PATCH |
/api/forecasts/{period_id}/override |
Set Override Accepts a JSON body. |
GET |
/api/forecasts/{period_id}/rollup |
Get Rollup |
GET |
/api/forecasts/{period_id}/segment/{segment_id}/deals |
Get Segment Deals |
GET |
/api/forecasts/{period_id}/sub-segment/{sub_segment_id}/deals |
Get Sub Segment Deals |
GET |
/api/forecasts/{period_id}/summary |
Get Summary |
GET |
/api/forecasts/{period_id}/team |
Get Team View |
GET |
/api/forecasts/{period_id}/team/{user_id}/deals |
Get Team Member Deals |
GET |
/api/forecasts/{period_id}/territory-rollup |
Get Territory Rollup |
GET |
/api/forecasts/{period_id}/territory/{territory_id}/deals |
Get Territory Deals |
GET |
/api/quotas/ |
List User Quotas |
GET |
/api/quotas/{user_id} |
Get User Quota |
PUT |
/api/quotas/{user_id}/quarters |
Update User Quarters Accepts a JSON body. |
POST |
/api/quotas/{user_id}/redistribute |
Redistribute Evenly |
Try it
The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.